#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 bin
version:              0.1.2
visibility:           public
id:                   bin-0.1.2-65dWM3xtVDmJ5jXoxErJWT
key:                  bin-0.1.2-65dWM3xtVDmJ5jXoxErJWT
license:              GPL-2.0-or-later
copyright:            (c) 2019-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/vec
synopsis:             Bin: binary natural numbers.
description:
    This package provides /binary natural numbers/ ("Data.Bin");
    also utilities to work on the type level with @DataKinds@ ("Data.Type.Bin").

    @
    data Bin
    \    = BZ       -- ^ zero
    \    | BP BinP  -- ^ non-zero

    data BinP
    \    = BE       -- ^ one
    \    | B0 BinP  -- ^ double
    \    | B1 BinP  -- ^ double plus 1
    @

    There are /ordinals/ in "Data.Bin.Pos" module, as well as
    fixed width integers in "Data.Wrd".

    Another implementation is at <https://hackage.haskell.org/package/nat>,
    this differs in naming, and provides promoted variant.

category:             Data, Dependent Types, Singletons, Math
abi:                  3c0f4cbf00a47e1c0e1099d84892889e
exposed:              True
exposed-modules:
    Data.Bin Data.Bin.Pos Data.BinP Data.BinP.PosP Data.Type.Bin
    Data.Type.BinP Data.Wrd

hidden-modules:       TrustworthyCompat
import-dirs:          /usr/lib/ghc-9.0.2/site-local/bin-0.1.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/bin-0.1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/bin-0.1.2
hs-libraries:         HSbin-0.1.2-65dWM3xtVDmJ5jXoxErJWT
depends:
    QuickCheck-2.14.2-8squlTcK6MZAcxqLTZHpKw base-4.15.1.0
    boring-0.2-AywtoMK07vg9Z9Ocyuk3Wm dec-0.0.4-6eP3x413uTPG9dUJ2u492R
    deepseq-1.4.5.0 fin-0.2.1-4nOyj8BKoAoHfBYicmAr4
    hashable-1.3.5.0-8uEDmbS1YdCBqBDHH62nE1
    some-1.0.3-4tJBwqdl6II5ViVY4feiYl

haddock-interfaces:   /usr/share/doc/haskell-bin/html/bin.haddock
haddock-html:         /usr/share/doc/haskell-bin/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

